<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;

/* @var $this yii\web\View */
/* @var $model common\models\CertificateStatusSearch */

$this->title = 'Manage Certificate Statuses';
$this->params['breadcrumbs'][] = $this->title;
?>

<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Manage Certificate Statuses</h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="#">Dashboard</a></li>
          <li class="breadcrumb-item active">Manage Certificate Statuses</li>
        </ol>
        <?= Html::a('<i class="fas fa-plus"></i> New Certificate Status', ['/certificate-status/create'], ['class' => 'btn btn-primary float-sm-right mr-5']) ?>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="row">
    <div class="col-md-12">
        <div class="card">
              <div class="card-header">
                <h3 class="card-title">Manage certificate statuses</h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <table id="certificate-status-table" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>Status Name</th>
                    <th></th>
                  </tr>
                  </thead>
                  <tbody>

                  <?php foreach($dataProvider->getModels() as $certificateStatus): ?>

                  <tr>
                    <td><?= Html::encode($certificateStatus->status_name); ?></td>
                    <td>
                      <?= Html::a('<i class="far fa-eye"></i>', ['/certificate-status/view','id' => $certificateStatus->id], ['class' => 'btn btn-info']) ?>
                      <?= Html::a('<i class="far fa-edit"></i>', ['/certificate-status/update','id' => $certificateStatus->id], ['class' => 'btn btn-warning']) ?>
                      <?= Html::a('<i class="far fa-trash-alt"></i>', ['/certificate-status/delete','id' => $certificateStatus->id], ['class' => 'btn btn-danger']) ?>
                    </td>
                  </tr>

                  <?php endforeach ?>
                  
                  </tbody>
                  <tfoot>
                  <tr>
                    <th>Status Name</th>
                    <th></th>
                  </tr>
                  </tfoot>
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
    </div>
    <!-- /.col -->
</div>

<script>
  $(function () {
    $("#certificate-status-table").DataTable({
      "responsive": true,
      "autoWidth": false,
    });
  });
</script>