<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\DetailView;
use kartik\dialog\Dialog;

echo Dialog::widget([
  'libName' => 'krajeeDialog',
  'options' => ['draggable' => true, 'closable' => true], 
]);

/* @var $this yii\web\View */
/* @var $model common\models\NaceCodes */

$this->title = $model->nace_code_name;
$this->params['breadcrumbs'][] = ['label' => 'Nace Codes', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark"><?= Html::encode($this->title) ?></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><?= Html::a('Dashboard', ['site/index']) ?></li>
          <li class="breadcrumb-item"><?= Html::a('Manage Nace Codes', ['index']) ?></li>
          <li class="breadcrumb-item active"><?= Html::encode($this->title) ?></li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="row">
    <div class="col-md-12">
        <div class="card">
              <div class="card-header">
                <p>
                    <?= Html::a('<i class="far fa-edit"></i> Edit', ['update', 'id' => $model->id], ['class' => 'btn btn-warning']) ?>
                    <button class="btn btn-danger" id="btnDelete" onclick="deleteNaceCode(<?= Html::encode($model->id)?>);" ><i class="far fa-trash-alt"></i> Delete</button>
                    <?= Html::a('<i class="fas fa-plus"></i> Add Industry', ['addindustry', 'nace_codes_id' => $model->id], ['class' => 'btn btn-success']) ?>
                    <?= Html::a('<i class="far fa-list-alt"></i> Manage Nace Codes', ['index'], ['class' => 'btn btn-info']) ?>
                </p>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                
                <div class="form-group mb-3">
                    <dl class="row">
                        <dt class="col-sm-3">
                            <?= $model->getAttributeLabel('nace_code_name') ?>
                        </dt>
                        <dd class="col-sm-9">
                            <?= $model->nace_code_name ?>
                        </dd>
                    </dl>
                </div>
              </div>
              <!-- /.card-body -->
              <div class="card-body">
                <table id="industries-table" class="table table-bordered table-striped">
                    <thead>
                    <tr>
                        <th>Industry</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>

                    <?php foreach($naceCodeIndustries->getModels() as $naceCodeIndustry): ?>

                        <tr>
                        <td><?= Html::encode($naceCodeIndustry->industry_name); ?></td>
                        <td>
                            <?= Html::a('<i class="far fa-trash-alt"></i>', ['/nace-codes/deleteindustry','id' => $naceCodeIndustry->id], ['class' => 'btn btn-danger']) ?>
                        </td>
                        </tr>

                    <?php endforeach ?>
                                            
                    </tbody>
                    <tfoot>
                    <tr>
                        <th>Industry</th>
                        <th></th>
                    </tr>
                    </tfoot>
                    </table>`
              </div>
            </div>
            <!-- /.card -->
    </div>
    <!-- /.col -->
</div>

<script>
  function deleteNaceCode(id) {
    // JS Code
    krajeeDialog.confirm("Are you sure you want to delete this NACE Code/ Category?", function (result) {
        if (result) { // ok button was pressed
          $.ajax({
            url:'index.php?r=nace-codes/delete&id='+id,
            method:'post',
            dataType:'json',
            success:function(data){
              if(data==0) {
                krajeeDialog.alert('Unable to delete the selected NACE Code/ Category as it is in use.');
              }
              else {
                window.location.replace("index.php?r=nace-codes");
              }
            }
          });

        } else { // confirmation was cancelled
          return;
        }
    });
  }
</script>